html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
    background-image: url("/images/site/noisebg.png");
    background-repeat: repeat;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
    background: var(--bs-body-bg);
}


.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}

.small-logo-div {
    display: inline-block;
    vertical-align: middle;
    background-image: url("/images/site/logo-small-round.png");
    background-size: contain;
    background-repeat: no-repeat;
    height: 64px;
    width: 64px;
}

.inline-header {
    display: inline-block;
}

#aboutHeader h1 {
    margin-bottom: 1rem;
}

#aboutTabsContent h1, #aboutTabsContent h2, #aboutTabsContent h3 {
    margin-bottom: 1rem;
    color: var(--bs-body-color);
}

#aboutTabsContent {
    color: var(--bs-secondary-color);
}

#skyview-not-available {
    position: relative;
    border: 1px solid rgba(255,255,255,0.25);
    border-radius: 4px;
    width: 100%;
    height: 90%;
}

#aladin-lite-div > canvas {
    border-radius: 0.375rem;
}

.index-gallery-image-container {
    width: 100%;
    height: 230px;
    overflow: hidden;
}

.index-gallery-image {
    width: 100%;
    height: 230px;
    transition: all 0.5s ;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.index-gallery-image:hover {
    transform: scale(1.2);
}

.progress-countdown-bar-track {
    width: 100%;
    height: 8px;
    background: #6e6e6e; /* or whatever track color you want */
    border-radius: 4px;
    overflow: hidden;
}

.progress-countdown-bar-fill {
    height: 100%;
    width: 100%;
    background: #fff;
    border-radius: 4px;
    transform-origin: left center;
    animation-name: drain;
    animation-duration: 1s;
    animation-timing-function: ease-out;
    animation-fill-mode: forwards;
}

@keyframes drain {
    from { transform: scaleX(1); }
    to   { transform: scaleX(0); }
}

.toasty-queuing-notification-5s {
    transform-origin: left top;
    animation-name: notification-scaling-5s;
    animation-duration: 5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    padding: 0;
}

@keyframes notification-scaling-5s {
    0% { transform: scaleY(0); height: 0rem; }
    10% { transform: scaleY(1); height: 4.5rem; }
    20% { transform: scaleY(1); height: 4.5rem; }
    50% { transform: scaleY(1); height: 4.5rem; }
    70% { transform: scaleY(1); height: 4.5rem; }
    90% { transform: scaleY(1); height: 4.5rem; }
    100% { transform: scaleY(0); height: 0rem; }
}


.round-checkmark-base {
    display: inline-block;
    border-radius: 50%;
    height: 1.25rem;
    width: 1.25rem;
    line-height: 1.25rem;
    vertical-align: middle;
    margin-right: .5rem;
    font-weight: bold;
    font-size: 0.75em;
}

.round-checkmark-success {
    color: #ffffff;
    background: var(--bs-success);
}

.round-checkmark-fail {
    color: #ffffff;
    background: var(--bs-danger);
}

.round-checkmark-empty {
    border: 1px solid #5c636a;
    background: transparent;
}

.round-checkmark-processing {
    color: #ffffff;
    background: var(--bs-primary);
}

.round-checkmark-queued {
    color: #ffffff;
    background: var(--bs-secondary);
}

.queue-tab-item-name {
    display: inline-block;
    line-height: 1.25rem;
    vertical-align: middle;
}